package com.gingersoft.gsa.cloud.ui.adapter.bean;

import android.text.InputFilter;

import lombok.Data;
import me.yokeyword.fragmentation.ISupportFragment;

/**
 * @author 宇航.
 * User: admin
 * Date: 2020/11/25
 * Time: 14:15
 * Use: 多類型輸入帶選擇
 */
@Data
public class MultiInputSelectBean extends MultiInputBean {
    private int requestCode;

    public MultiInputSelectBean(int itemType, String showTitle, String hintText, String hintTextSecond, String hintTextThird, int requestCode, ISupportFragment supportFragment) {
        super(itemType, showTitle, hintText, hintTextSecond, hintTextThird, supportFragment);
        this.requestCode = requestCode;
    }

    public MultiInputSelectBean(int itemType, String showTitle, String hintText, String hintTextSecond, String hintTextThird, int requestCode, ISupportFragment supportFragment, InputFilter[] inputFilters, int type) {
        super(itemType, showTitle, hintText, hintTextSecond, hintTextThird, supportFragment);
        this.requestCode = requestCode;
        this.setInputFilters(inputFilters);
        this.setInputType(type);
    }
}
